locked
Updating Windows 10 - Why does some updates are not avaliable? RRS feed

  • Question

  • A have all windows 10 products checked on WSUS

    But in the classification tab i only have critical, definition and security updates

    i don´t have SP, tools, Updaterollups checked

    I´ve noticed that most of the windows 10 of the company are not properly updated, most of then are still in 2015/11 version and other are more recente, probably because they´re insatlled based on new DVD/compilations

    if i check tools, udpateroolup and ServicepAcks, it will help in keeping all windows 10 of the company at the same level?

    Other weird thing is that besides the updaterollup option uncheked i have a lot update rollups being download by WSUS

    Thursday, April 13, 2017 1:21 PM

All replies

  • Hi KayZerSoze,

    What is the build of the windows 10, what is the version of the WSUS server.

    For now, Windows 10 1703 has already released, before that, there are win10 1607, 1511 and more pervious versions.

    From 2016 October, the update servicing mode for win10 has changed. To deploy windows 10 updates, we need to Upgrade WSUS server to 4.0(server 2012 and 2012R2) with KB3095113 and KB3159706(with manual steps) or WSUS 2016.

    I would suggest checking all Classifications expect "Drivers" in the WSUS server. Also, it's recommended to upgrade the win10 to the latest build.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Friday, April 14, 2017 9:00 AM
  • i have 14 WSUS Servers, spreded arrount the country, the "central" and 1st in hierarchy is WIn2012R2, but at least other 9 in 3rd rank, are WIn2008R2

    Main WSUS and 2nd rank servers are win2012R2

    VersionString    REG_SZ    6.3.9600.17477

    3rd rank servers (win2008R2) in hierarchy are

    VersionString    REG_SZ    3.2.7600.226

    source:

    reg query "\\wsusXX\HKLM\SOFTWARE\Microsoft\Update Services\Server\Setup" /v VersionString

    Friday, April 14, 2017 8:25 PM
  • Hi KayZerSoze,

    >but at least other 9 in 3rd rank, are WIn2008R2

    To deploy updates for Windows 10 clients, we need WSUS server 4.0(Server 2012 and Server 2012R2) or higher, for WSUS server 4.0, we also need to install the KBs mentioned in my above reply. Please upgrade your WSUS servers for better services.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.


    Monday, April 17, 2017 8:03 AM
  • and if my WSUS versions are 3.2 and 6.3, where exactly this version 4 can be seen?

    my wsus is win2012R2 and the version is 6.3, not 4

    Monday, April 17, 2017 6:54 PM
  • Hi KayZerSoze,

    WSUS 3.0 may corresponding to WSUS 2008 and WSUS 2008R2, the version may be 3.2.x.x;

    WSUS 4.0 may corresponding to WSUS 2012 and WSUS 2012R2, the version may be 6.2.x.x and 6.3.x.x;

    So, WSUS server 2012R2 belongs to WSUS 4.0.

    And you need to upgrade the WSUS which on Server 2008 or 2008R2.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Tuesday, April 18, 2017 2:36 AM
  • Hi KayZerSoze,

    Just to check if the above reply could be of help? Welcome to feedback.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Wednesday, April 26, 2017 7:31 AM